QsciLexerSQL Class Reference

`#include <qscilexersql.h>`

Inherits QsciLexer.

## Public Types

enum

{
Default = 0 , Comment = 1 , CommentLine = 2 ,
CommentDoc = 3 , Number = 4 , Keyword = 5 ,
DoubleQuotedString = 6 , SingleQuotedString = 7 , PlusKeyword = 8 ,
PlusPrompt = 9 , Operator = 10 , Identifier = 11 ,
PlusComment = 13 , CommentLineHash = 15 , CommentDocKeyword = 17 ,
CommentDocKeywordError = 18 , KeywordSet5 = 19 , KeywordSet6 = 20 ,
KeywordSet7 = 21 , KeywordSet8 = 22 , QuotedIdentifier = 23 ,
QuotedOperator = 24
}

## Public Slots

virtual void | setBackslashEscapes (bool enable)
virtual void | setFoldComments (bool fold)
virtual void | setFoldCompact (bool fold)
Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)

## Public Member Functions

| QsciLexerSQL (QObject *parent=0)
virtual | ~QsciLexerSQL ()
const char * | language () const
const char * | lexer () const
int | braceStyle () const
QColor | defaultColor (int style) const
bool | defaultEolFill (int style) const
QFont | defaultFont (int style) const
QColor | defaultPaper (int style) const
const char * | keywords (int set) const
QString | description (int style) const
void | refreshProperties ()
bool | backslashEscapes () const
void | setDottedWords (bool enable)
bool | dottedWords () const
void | setFoldAtElse (bool fold)
bool | foldAtElse () const
bool | foldComments () const
bool | foldCompact () const
void | setFoldOnlyBegin (bool fold)
bool | foldOnlyBegin () const
void | setHashComments (bool enable)
bool | hashComments () const
void | setQuotedIdentifiers (bool enable)
bool | quotedIdentifiers () const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual const char * | blockEnd (int *style=0) const
virtual int | blockLookback () const
virtual const char * | blockStart (int *style=0) const
virtual const char * | blockStartKeyword (int *style=0) const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
QFont | defaultFont () const
QColor | defaultPaper () const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual int | styleBitsNeeded () const
virtual const char * | wordCharacters () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Protected Member Functions

bool | readProperties (QSettings &qs, const QString &prefix)
bool | writeProperties (QSettings &qs, const QString &prefix) const
Protected Member Functions inherited from QsciLexer
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Additional Inherited Members

Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)

## Detailed Description

The QsciLexerSQL class encapsulates the Scintilla SQL lexer.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

This enum defines the meanings of the different styles used by the SQL lexer.

Enumerator
Default | The default.
Comment | A comment.
CommentLine | A line comment.
CommentDoc | A JavaDoc/Doxygen style comment.
Number | A number.
Keyword | A keyword.
DoubleQuotedString | A double-quoted string.
SingleQuotedString | A single-quoted string.
PlusKeyword | An SQL*Plus keyword.
PlusPrompt | An SQL*Plus prompt.
Operator | An operator.
Identifier | An identifier.
PlusComment | An SQL*Plus comment.
CommentLineHash | A '#' line comment.
CommentDocKeyword | A JavaDoc/Doxygen keyword.
CommentDocKeywordError | A JavaDoc/Doxygen keyword error.
KeywordSet5 | A keyword defined in keyword set number 5. The class must be sub-classed and re-implement keywords() to make use of this style. Note that keywords must be defined using lower case.
KeywordSet6 | A keyword defined in keyword set number 6. The class must be sub-classed and re-implement keywords() to make use of this style. Note that keywords must be defined using lower case.
KeywordSet7 | A keyword defined in keyword set number 7. The class must be sub-classed and re-implement keywords() to make use of this style. Note that keywords must be defined using lower case.
KeywordSet8 | A keyword defined in keyword set number 8. The class must be sub-classed and re-implement keywords() to make use of this style. Note that keywords must be defined using lower case.
QuotedIdentifier | A quoted identifier.
QuotedOperator | A quoted operator.

## Constructor & Destructor Documentation

## QsciLexerSQL()

QsciLexerSQL::QsciLexerSQL | ( | QObject * | parent = 0 | ) |

Construct a QsciLexerSQL with parent parent. parent is typically the QsciScintilla instance.

Referenced by writeProperties().

## Member Function Documentation

## language()

const char * QsciLexerSQL::language | ( |  | ) | const

virtual

Returns the name of the language.

Implements QsciLexer.

## lexer()

const char * QsciLexerSQL::lexer | ( |  | ) | const

virtual

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

## braceStyle()

int QsciLexerSQL::braceStyle | ( |  | ) | const

virtual

Returns the style used for braces for brace matching.

Reimplemented from QsciLexer.

## defaultColor()

QColor QsciLexerSQL::defaultColor | ( | int | style | ) | const

virtual

Returns the foreground colour of the text for style number style.

See also
  defaultPaper()

Reimplemented from QsciLexer.

## defaultEolFill()

bool QsciLexerSQL::defaultEolFill | ( | int | style | ) | const

virtual

Returns the end-of-line fill for style number style.

Reimplemented from QsciLexer.

## defaultFont()

QFont QsciLexerSQL::defaultFont | ( | int | style | ) | const

virtual

Returns the font for style number style.

Reimplemented from QsciLexer.

## defaultPaper()

QColor QsciLexerSQL::defaultPaper | ( | int | style | ) | const

virtual

Returns the background colour of the text for style number style.

See also
  defaultColor()

Reimplemented from QsciLexer.

## keywords()

const char * QsciLexerSQL::keywords | ( | int | set | ) | const

virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

## description()

QString QsciLexerSQL::description | ( | int | style | ) | const

virtual

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

## refreshProperties()

void QsciLexerSQL::refreshProperties | ( |  | ) |

virtual

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

## backslashEscapes()

bool QsciLexerSQL::backslashEscapes | ( |  | ) | const

inline

Returns true if backslash escapes are enabled.

See also
  setBackslashEscapes()

## setDottedWords()

void QsciLexerSQL::setDottedWords | ( | bool | enable | ) |

If enable is true then words may contain dots (i.e. periods or full stops). The default is false.

See also
  dottedWords()

## dottedWords()

bool QsciLexerSQL::dottedWords | ( |  | ) | const

inline

Returns true if words may contain dots (i.e. periods or full stops).

See also
  setDottedWords()

## setFoldAtElse()

void QsciLexerSQL::setFoldAtElse | ( | bool | fold | ) |

If fold is true then ELSE blocks can be folded. The default is false.

See also
  foldAtElse()

## foldAtElse()

bool QsciLexerSQL::foldAtElse | ( |  | ) | const

inline

Returns true if ELSE blocks can be folded.

See also
  setFoldAtElse()

## foldComments()

bool QsciLexerSQL::foldComments | ( |  | ) | const

inline

Returns true if multi-line comment blocks can be folded.

See also
  setFoldComments()

## foldCompact()

bool QsciLexerSQL::foldCompact | ( |  | ) | const

inline

Returns true if trailing blank lines are included in a fold block.

See also
  setFoldCompact()

## setFoldOnlyBegin()

void QsciLexerSQL::setFoldOnlyBegin | ( | bool | fold | ) |

If fold is true then only BEGIN blocks can be folded. The default is false.

See also
  foldOnlyBegin()

## foldOnlyBegin()

bool QsciLexerSQL::foldOnlyBegin | ( |  | ) | const

inline

Returns true if BEGIN blocks only can be folded.

See also
  setFoldOnlyBegin()

## setHashComments()

void QsciLexerSQL::setHashComments | ( | bool | enable | ) |

If enable is true then '#' is used as a comment character. It is typically enabled for MySQL and disabled for Oracle. The default is false.

See also
  hashComments()

## hashComments()

bool QsciLexerSQL::hashComments | ( |  | ) | const

inline

Returns true if '#' is used as a comment character.

See also
  setHashComments()

## setQuotedIdentifiers()

void QsciLexerSQL::setQuotedIdentifiers | ( | bool | enable | ) |

If enable is true then quoted identifiers are enabled. The default is false.

See also
  quotedIdentifiers()

## quotedIdentifiers()

bool QsciLexerSQL::quotedIdentifiers | ( |  | ) | const

inline

Returns true if quoted identifiers are enabled.

See also
  setQuotedIdentifiers()

## setBackslashEscapes

virtual void QsciLexerSQL::setBackslashEscapes | ( | bool | enable | ) |

virtual slot

If enable is true then backslash escapes are enabled. The default is false.

See also
  backslashEscapes()

## setFoldComments

virtual void QsciLexerSQL::setFoldComments | ( | bool | fold | ) |

virtual slot

If fold is true then multi-line comment blocks can be folded. The default is false.

See also
  foldComments()

## setFoldCompact

virtual void QsciLexerSQL::setFoldCompact | ( | bool | fold | ) |

virtual slot

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also
  foldCompact()

## readProperties()

bool QsciLexerSQL::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix )

protected virtual

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

## writeProperties()

bool QsciLexerSQL::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix ) const

protected virtual

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

References QsciLexerSQL().